package com.haru.tetoru.parts;

public class Block {

	/* ブロックの種類 */
	public static final int _ = 0;
	public static final int $ = 9;
	public static final int I = 1;
	public static final int O = 2;
	public static final int T = 3;
	public static final int S = 4;
	public static final int Z = 5;
	public static final int J = 6;
	public static final int L = 7;
	public static final int D = 8; /* 削除対象のブロック */


	private int type;
	private int x;
	private int y;

	Block(int type, int x, int y) {
		this.type = type;
		this.x = x;
		this.y = y;
	}

	public int getType() {
		return type;
	}
	public void setType(int type) {
		this.type = type;
	}
	public int getX() {
		return x;
	}
	public void setX(int x) {
		this.x = x;
	}
	public int getY() {
		return y;
	}
	public void setY(int y) {
		this.y = y;
	}
}
